%define name3 python3-sane
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

# Refer to the comment for Source0 below on how to obtain the source tarball
# The saved file has format python-pillow-Sane-$version-$ahead-g$shortcommit.tar.gz
%define commit 91e336c280a9ff0dfec30d18d761c2f1064dfa79
%define shortcommit %(c=%{commit}; echo ${c:0:7})
%define ahead 0

Name:           python-sane
Version:        2.8.2
Release:        %mkrel 3
Summary:        Python2 SANE interface
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-pillow/Sane

# Obtain the tarball for a certain commit via:
#  wget --content-disposition https://github.com/python-pillow/Sane/tarball/$commit
Source0:        https://github.com/python-pillow/Sane/tarball/%{commit}/python-pillow-Sane-v%{version}-%{ahead}-g%{shortcommit}.tar.gz

BuildRequires:  pkgconfig(sane-backends)

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

Obsoletes:      python-pillow-sane < 2.9.0-1
Provides:       python-pillow-sane = %{version}-%{release}

Requires:       python-pillow


%description
This package contains the sane module for Python2 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%package -n %{name3}
Summary:        Python3 module for using scanners
Group:          Development/Python
Obsoletes:      python3-pillow-sane <= 2.6.1-2
Provides:       python3-pillow-sane = %{version}-%{release}
Requires:       python3-pillow
Requires:       python3-numpy

%description -n %{name3}
This package contains the sane module for Python3 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%prep
%setup -q -n python-pillow-Sane-%{shortcommit}

cp -a . %{py3dir}


%build
find -name '*.py' | xargs sed -i '1s|^#!.*python|#!%{__python}|'
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

pushd doc
make html
rm -f _build/html/.buildinfo
popd

pushd %{py3dir}
find -name '*.py' | xargs sed -i '1s|^#!.*python|#!%{__python3}|'
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

pushd doc
make html SPHINXBUILD=sphinx-build-%python3_version
rm -f _build/html/.buildinfo
popd


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{python2_sitearch}/*.so

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{python3_sitearch}/*.so


%files
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{python2_sitearch}/*

%files -n %{name3}
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{python3_sitearch}/*



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 2.8.2-3.mga6
+ Revision: 958685
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2.8.2-2.mga6
+ Revision: 887482
- BR python3-sphinx_rtd_theme
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 2.8.2-1.mga6
+ Revision: 870450
- imported package python-sane

